package org.processmining.security.plugins.criterion;

import java.text.ParseException;
import java.util.Vector;

import org.processmining.partialorder.models.palignment.PAlignment;
import org.processmining.security.plugins.replayer.CompositeMove;
import org.processmining.security.plugins.replayer.InterLevelSyncReplayResult;

public class CriterionFunction {
	private Vector<CriteriaInterface> criterion;
	public CriterionFunction(Vector<CriteriaInterface> criterion){
		this.criterion = criterion;
	}
	public boolean isValid(PAlignment pAlignment, InterLevelSyncReplayResult interLevelAlignment, CompositeMove compositeMove) throws ParseException{
		for (CriteriaInterface criteria : criterion) {
			if(!criteria.isValid(pAlignment, interLevelAlignment, compositeMove))
				return false;
		}
		return true;
	}
}
