package org.processmining.security.plugins.visualization.crud;

import javax.swing.JComponent;

import org.processmining.contexts.uitopia.annotations.Visualizer;
import org.processmining.framework.connections.ConnectionCannotBeObtained;
import org.processmining.framework.plugin.PluginContext;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.framework.plugin.annotations.PluginVariant;
import org.processmining.security.plugins.replayer.InterLevelReplayResult;

@Plugin(name = "Project on CRUD Matrix", returnLabels = { "Visualized Inter Level Alignemnt Projection to CRUD matrix" }, returnTypes = { JComponent.class }, parameterLabels = { "Log-Model alignment" }, userAccessible = true)
@Visualizer
public class CRUDProjectionVisualizationPlugin {
	@PluginVariant(requiredParameterLabels = { 0 })
	public JComponent visualize1(PluginContext context, InterLevelReplayResult logReplayResult) throws ConnectionCannotBeObtained {
		context.log("Visualization start");
		CRUDProjectionDataSummary data = new CRUDProjectionDataSummary(context, logReplayResult);
		return new CRUDProjectionPanel(context, data);
	}
}
